it-swarm.dev

¿Cómo instalo Adobe Flash Player?

He tenido problemas importantes al ver videos flash en Ubuntu de 64 bits. ¿Alguien sabe de una buena manera de ejecutar Flash en la plataforma?

105
Steven Oxley

Para 11.04 y anteriores:

¿Lo estás instalando desde el Centro de software de Ubuntu?

  1. Vaya a Aplicaciones-> Centro de software de Ubuntu.
  2. Haga clic en Canonical Partners
  3. Haga clic en Adobe Flash Plugin 11 y haga clic en instalar.

Nota: este es el método que uso en mi instalación de Ubuntu de 64 bits y aún no me ha fallado.

enter image description here

81
Nathan Osman

Para 11.10 y posterior

Inicie el Centro de software desde el Iniciador y busque flash

Se encontrarán dos entradas. El primero es el contenedor de la versión flash de 32 bits de Adobe. El segundo es la versión flash de 64 bits.

Seleccione la segunda entrada flash: si se ve la siguiente imagen, entonces no ha habilitado previamente el Canonical Partner Repository.

enter image description here

Haga clic en Más información

enter image description here

... y haga clic en Use esta fuente para habilitar el repositorio Canonical Partner

enter image description here

vea el final de esta respuesta para el informe de error

Haga clic en Instalar

enter image description here

Haga clic en el botón Instalar e ingrese su contraseña cuando se le solicite. Nota: debe tener permiso para instalar el software.

enter image description here

La instalación procederá:

enter image description here

Una vez completado, inicie Firefox y busque su Flash Video. Haga clic derecho y confirme que la última versión de Flash se ha instalado correctamente.

enter image description here

Nota: las imágenes están sujetas a cambios. La versión de 64 bits solo se ha empaquetado recientemente la última semana antes del lanzamiento de Oneiric. Actualmente existe un problema:

  1. https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/870835

Mientras tanto, use el primer complemento de 32 bits "Multiverso" en las imágenes de arriba o use Adobe-flashplugin

Sudo apt-get install Adobe-flashplugin
68
fossfreedom

Así es como se instala Adobe Flash Plugin para Firefox:

  1. Vaya a la página this y seleccione la opción .tar.gz para otros Linux. Descargar el archivo.
  2. Desempaquete el complemento tar.gz y copie los archivos en la ubicación adecuada.
  3. Guarde el complemento tar.gz localmente y observe la ubicación en la que se guardó el archivo.
  4. Inicie la terminal y cambie los directorios a la ubicación donde se guardó el archivo.
  5. Descomprima el archivo tar.gz. Una vez desempaquetado, verá lo siguiente:

    • libflashplayer.so
    • / usr
  6. Identifique la ubicación del directorio de complementos del navegador, en función de su distribución de Linux y la versión de Firefox. (Generalmente es /usr/lib/mozilla/plugins/)
    Para ubuntu 14.04 la ruta es: /usr/lib/firefox/browser/plugins

  7. Copie libflashplayer.so en el directorio de complementos del navegador apropiado. En el tipo de mensaje:

    Sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copie los archivos de configuración de Configuración local de Flash Player en el directorio/usr. En el tipo de mensaje:

    Sudo cp -r usr/* /usr
    
  9. Ahora reinicie su navegador.

31
ignite

Como ha declarado que esta es la primera vez que usa ubuntu. te sugiero que instales el paquete ubuntu-restricted-extras, esto incluye muchas cosas útiles como Adobe Flash y codecs y fuentes MS, etc.

puedes hacer esto de muchas maneras.

centro de software: haga clic en este enlace:

Install via the software center

o en una terminal: escriba Sudo apt-get install ubuntu-restricted-extras

sináptico: busque el paquete ubuntu-restricted-extras, haga clic derecho en el paquete y seleccione instalar, y luego seleccione marcar. después de hacer clic en el botón Aplicar y todo se instalará.

21
Terry

Hay una solución simple para este problema.

Abra su Firefox y vaya a Youtube . Haga clic en cualquier video. Definitivamente no funcionará porque no tienes instalado ningún reproductor flash. Pero Firefox lo promocionará a install missing plug-in en la parte superior. Simplemente haga clic en él y siga el procedimiento. Después de eso, tu video comenzará a reproducirse. Asegúrese de tener instalado el último navegador Firefox .

O prueba esto en tu terminal

Sudo apt-get install flashplugin-installer
13
Kaktarua

Obtenga mi Flash-Aid extensión para Firefox. Se encargará de descargar e instalar la versión adecuada para la arquitectura de su sistema y también eliminará los complementos en conflicto. Si está en 64 bits, también permite instalar la versión de vista previa de 64 bits, que ofrece mejores resultados que la de 32 bits con nspluginwrapper.

Por cierto, si no puede copiar nada a la carpeta ~/.mozilla/plugins, entonces debe verificar la propiedad de la carpeta ~/.mozilla. Debería permitir copiar cualquier cosa allí. A menos que, por supuesto, se refiera a una carpeta del sistema fuera de su directorio de inicio, que requiere privilegios de root.

5
lovinglinux

Depende de qué navegador esté utilizando. Google Chrome (no Chromium) tiene Flash player de forma predeterminada.

Vaya a www.google.com/chrome y haga clic en descargar Chrome Elija .deb de 64 bits (cualquiera que lea esto utilizando máquinas de 32 bits debe seleccionar el .deb de 32 bits)

Cuando haga clic en el archivo .deb cuando se haya descargado, se abrirá en el Centro de software. Ahora haga clic en instalar y cuando haya terminado, puede encontrar el navegador en Aplicaciones -> Internet.

4
Mozart321

Revisé todas las sugerencias posibles que pude encontrar en un esfuerzo por hacer que flash funcionara en Chrome en mi instalación 13.10 de 64 bits. Nada funcionó. Finalmente me topé con la respuesta de Pepper Flash.

Hay instrucciones completas y bien escritas en (el enlace es directo)

buntuhandbook.org

Detallan agregar el repositorio, actualizar apt, instalar Pepper y modificar la configuración chrome. Lo que hice de manera diferente a sus instrucciones fue cambiar al directorio/etc/chromium-browser y emitir el comando

Sudo gedit default

lo que me permitió agregar un comentario al archivo además de la información .sh necesaria, por lo que las últimas dos líneas de mi archivo predeterminado modificado fueron:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Esperemos que esta solución funcione por algún tiempo.

2
zenpistolero
Sudo apt-get remove --purge Adobe-flashplugin flashplugin* nspluginwrapper
Sudo apt-get install --reinstall Adobe-flashplugin

Ref: http://ubuntuguide.net/install-Adobe-flash-pluginfix-not-working-problem-in-ubuntu-11-10-oneiric

2
Coc

Los videos Flash no se reproducirían en una nueva instalación de Ubuntu 14.04, incluso con Adobe-flashplugin del repositorio "partner" - obtuve una pantalla negra en youtube (excepto después de tener configurándolo para usar HTML5 ), dailymotion, etc. Instalar freshplayerplugin (aparentemente un contenedor para el reproductor flash de Chrome) resolvió el problema:

Sudo add-apt-repository ppa:nilarimogard/webupd8
Sudo apt-get update
Sudo apt-get install freshplayerplugin
2

Use el Centro de software de Ubuntu (en el menú Aplicaciones). En el campo de entrada de texto (del cuadro de búsqueda), puede buscar "flash", y los resultados llenarán un complemento de Adobe Flash (tenga en cuenta el logotipo de Adobe). Elija eso y siga las instrucciones para usar la fuente.

2
Daniel T Chen

Verifique dos veces qué directorio "plugin" se está utilizando. Tuve que pasar una buena hora una vez simplemente revisando todos los directorios de complementos hasta que encontré cuáles estaba leyendo realmente mi firefox, y luego ln -s les indicó a todos que señalaran uno común.

Al final del día, podría estar cayéndolo en el lugar equivocado.

También iniciar firefox desde la línea de comando, puede ver errores. El ejemplo es ejecutar un reproductor flash x86 en un navegador x64 (no OS) y viceversa. Desde la línea de comando (%> firefox) debería ver las líneas de registro de inicialización del complemento. (tal vez intente este primero: P)

También cualquier cosa en /usr/lib/... es propiedad de root, por lo que deberías Sudo cp libflashplayer.so /usr/lib/firefox/plugin donde .../firefox/plugin apunta a la ubicación del directorio de plugins de firefox.

2
Dmitriy Likhten

Solución definitiva para Flash de 64 bits en 11.10

Arreglé Flash de 64 bits en mis sistemas 11.10 sin envoltorios. Si sigue las soluciones mencionadas anteriormente, terminará con la versión de 32 bits y los contenedores.

Nota: la mayor parte de esto también se puede hacer en una terminal, en ese caso no es necesario instalar Synaptic. Además, podría ser que solo ejecutar los pasos 5, 6 y 8 es suficiente, pero tengo no probado esto todavía.

  1. Instale Synaptic (el Centro de software no muestra el paquete que necesita, ni en los elementos principales ni en los elementos técnicos, ni siquiera después de haber sido instalado)
  2. Inicie Synaptic y busque 'flash'
  3. Ordenar por estado instalado
  4. Elimine todos los paquetes relacionados con flash (como flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common, etc.). Si no hay nada en la lista, probablemente no tenga instalado Flash. En ese caso, simplemente pase al siguiente paso.
  5. Habilite el repositorio de socios de Canonical (consulte las publicaciones anteriores sobre cómo hacerlo)
  6. Actualice la lista de paquetes (no cuente con que Software Center lo haga por usted, a veces no lo hace) haciendo clic en 'Recargar' en
  7. Busque 'flash' nuevamente
  8. Instale el paquete 'Adobe-flashplugin'. Si no está en la lista, algo salió mal al actualizar las listas de paquetes. Intente salir y reiniciar Synapic, luego haga clic en 'Recargar'.

Se instalará automáticamente un paquete adicional, 'Adobe-flash-properties-gtk'. Nada mas.

Ahora tendrá Flash completo de 64 bits sin envoltorios y otros elementos no utilizados en Firefox y Chromium. Sin embargo, es necesario reiniciar su navegador. Si todavía no funciona, intente reiniciar (puede haber alguna referencia falsa a los complementos antiguos en alguna parte).

2
iGadget

Esto es lo que debe hacer: de forma predeterminada, Ubuntu viene solo con software de código abierto habilitado (creo que ese es el caso, de todos modos).

La forma en que habilita otras cosas (como Flash, Java y soporte para grabar o reproducir MP3, que NO es de código abierto) es ir a su Centro de software, ir a los menús (desafortunadamente no estoy actualmente en Ubuntu y puedo ' no le dirá qué menú) y busque Fuentes de software.

Haga clic en él y aparecerá una ventana que le dice a Ubuntu qué está permitido instalar para usted. Delante de usted debe haber una lista de cinco "universos" diferentes. Lo que debe hacer es habilitar los dos que no están habilitados actualmente.

Después de eso, debería preguntarle si desea volver a cargar sus repositorios, pero si no lo hace, ingrese a una línea de comando y escriba

Sudo apt-get update

y deja que termine. Entonces debería poder encontrar flash en el Centro de software o en la línea de comandos. Alternativamente, puede instalar el paquete ubuntu-restricto-extras, que le dará las tres cosas que mencioné anteriormente.

¡Buena suerte!

2
Noah

Bueno, publico esto aquí, con la esperanza de ayudar a alguien. Expondré lo que estaba sucediendo y cómo lo resolví.

CONFIGURACIÓN:
Ejecutando 12.04 desde una instalación WUBI.

PROBLEMA:
Cuando busqué en el Centro de software de Ubuntu la palabra clave flash, ninguna de las opciones publicadas aquí apareció excepto UNA para un flash plugin para Mozilla. Al intentar instalarlo, recibí un error de dependencia.

Intenté instalarlo a través de los Extras restringidos de Ubuntu desde el Centro de software de Ubuntu, sin embargo, la parte del complemento flash de esta instalación no funcionó debido al error de dependencia.

Seguí buscando y encontré este comando para instalar el complemento

Sudo apt-get install flashplugin-nonfree

y lo corrió desde la terminal.

Mismo error de dependencia con esta salida:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

SOLUCIÓN:

Corrí

Sudo apt-get install -f 

y entonces

Sudo apt-get update 

que encontré en alguna otra publicación que intentaba resolver dependencias.

Entonces corrí

Sudo apt-get install flashplugin-nonfree

y el complemento flash ahora funciona en Chromium y Firefox.

1
Joel

Acabo de encontrar una solución para aquellos que tienen flash trabajando en Firefox pero no en Chromium. Se basa en el hecho de que cada navegador tiene su propio directorio de complementos:

  • / usr/lib/firefox-addons/plugins (para Firefox)
  • / usr/lib/chromium-browser/plugins (para Chromium)

Entonces, lo único que debes hacer es unificarlos, también conocido como hacer que uno sea el enlace al otro. Probablemente, todos los complementos están en el directorio de complementos de Firefox, pero no vale la pena asegurarse de que:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Si Firefox es donde están todos los complementos, haga lo siguiente. Si no, haz lo contrario:

Sudo rmdir /usr/lib/chromium-browser/plugins
Sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Finalmente, reinicie Chromium para que los cambios surtan efecto.

Probablemente, no sería una mala idea crear un informe de error en los mantenedores de paquetes de Chromium/Firefox para alertar sobre el error y la solución simple.

1
emi

Depende de cómo esté instalando. ¿Es a través de un archivo tar.gz o rpm o algún otro método? Hay muchas formas de obtener flash.

Download link: https://get.Adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the Prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the Prompt type:
        + Sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Prima:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
1
Revanth Kumar

En caso de que

Sudo apt-get install flashplugin-nonfree

no funciona (como en mi caso y no sé por qué ...), es posible que desee probar Opera como su navegador. Es el único que funciona para mí.

PD: No quiero anunciar Opera un navegador, es solo que esta fue la única solución que de alguna manera funcionó para mí.

1
Remi Meier

Revisé muchas respuestas sobre este tema la semana pasada. Finalmente encontré un enlace con una solución que sí funciona:

https://ubuntu-mate.community/t/tutorial-flash-player-for-chromium-and-firefox/3598

Básicamente, la respuesta es que parece haberse eliminado de todas las fuentes de software y necesita descargar una versión anterior e instalarla manualmente

0
palbeda

Linux ya no es compatible con Adobe Flash Player en su tienda. Por lo tanto, debe hacerlo manualmente.

Adobe flash player

Esto solo se verifica en Firefox también si tienes Chrome/Chromium, no tienes que instalarlo.

Hay un procedimiento de instalación manual de Adobe Flash Player en Ubuntu, siga estos pasos:

  1. Abierto este enlace . Le sugerirá automáticamente una versión de acuerdo con su entorno de escritorio.

  2. Seleccione la opción .tar.gz for Linux como se muestra en la siguiente captura de pantalla.

    enter image description here

  3. Ahora haga clic en Botón de descarga (Seleccione la ruta de descarga como Descargas en su sistema de fácil acceso).

  4. Ahora extraiga el archivo por Right clicking en la carpeta y seleccione la opción Extract Here.

    file in downloads folder

  5. Abra Terminal CTRL+ALT+T y copie el siguiente comando uno por uno

    5.1. cd ../

    5.2. cd your-pc-name (p. Ej., Paper96)

    5.3. cd Downloads (esta es la carpeta donde ha descargado el archivo en Opción 3 ).

    5.4. cd flash_player_npapi_linux.x86_64 (Su nombre de archivo puede ser diferente solo copie el nombre del archivo y péguelo en la terminal)

    5.5. Sudo mv libflashplayer.so \/usr/lib/firefox-addons/plugins pulsa enter y eso es todo.

    terminal commands

  6. Ahora cierre su navegador (Firefox) y Terminal.

  7. Reinicia Firefox y ahora tienes Flash Player en tu navegador. Visita este enlace para verificar.

    new version of flash player

0
Pankaj Gautam